Flagon API
v0.0.0https://api.flagon.ioEndpoints
post/ai/actions/executeExecute a confirmed agent action (human-in-the-loop)
Execute a confirmed agent action (human-in-the-loop)
Try it
Request body
application/json · required
{
"$schema": "https://flagon.io",
"input": null,
"org_id": "string",
"tool": "string"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - The tool input, as proposed
inputobjectrequired org_idstringrequired- The proposed tool name
toolstringrequired
Responses
{
"$schema": "https://flagon.io",
"result": null
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri resultobjectrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X POST "https://api.flagon.io/ai/actions/execute" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $FLAGON_TOKEN" \
-d '{"$schema":"https://flagon.io","input":null,"org_id":"string","tool":"string"}'post/ai/messagesSend a message to the Flagon agent
Send a message to the Flagon agent
Try it
Request body
application/json · required
{
"$schema": "https://flagon.io",
"messages": null,
"org_id": "string"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - Conversation so far, ending with the new user message
messagesobjectrequired - Organization the conversation is scoped to
org_idstringrequired
Responses
{
"$schema": "https://flagon.io",
"proposals": null,
"reply": "string",
"usage": {
"input_tokens": 0,
"output_tokens": 0
}
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri proposalsobjectrequiredreplystringrequiredusageUsagerequiredShow properties
input_tokensinteger · int64requiredoutput_tokensinteger · int64required
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X POST "https://api.flagon.io/ai/messages" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $FLAGON_TOKEN" \
-d '{"$schema":"https://flagon.io","messages":null,"org_id":"string"}'post/internal/sso/provision-memberProvision an SSO-authenticated user into their org (internal)
Provision an SSO-authenticated user into their org (internal)
Try it
Request body
application/json · required
{
"$schema": "https://flagon.io",
"org_id": "string",
"role": "string"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - The Flagon organization id bound to the SSO provider.
org_idstringrequired - Membership role to provision (default member).
rolestring
Responses
{
"$schema": "https://flagon.io",
"ok": true
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri okbooleanrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X POST "https://api.flagon.io/internal/sso/provision-member" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $FLAGON_TOKEN" \
-d '{"$schema":"https://flagon.io","org_id":"string","role":"string"}'get/invitations/{token}Look up an invitation by token
Look up an invitation by token
Try it
Parameters
tokenstringpathrequired
Responses
{
"$schema": "https://flagon.io",
"email": "string",
"expired": true,
"id": "string",
"inviter": "string",
"org_name": "string",
"org_slug": "string",
"role": "string",
"status": "string"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri emailstringrequiredexpiredbooleanrequiredidstringrequiredinviterstringrequiredorg_namestringrequiredorg_slugstringrequiredrolestringrequiredstatusstringrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X GET "https://api.flagon.io/invitations/{token}" \
-H "Authorization: Bearer $FLAGON_TOKEN"post/invitations/{token}/acceptAccept an invitation (internal)
Accept an invitation (internal)
Try it
Parameters
tokenstringpathrequired
Responses
{
"$schema": "https://flagon.io",
"org_name": "string",
"org_slug": "string"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri org_namestringrequiredorg_slugstringrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X POST "https://api.flagon.io/invitations/{token}/accept" \
-H "Authorization: Bearer $FLAGON_TOKEN"get/meCurrent user and their orgs
Current user and their orgs
Try it
Responses
{
"$schema": "https://flagon.io",
"orgs": null,
"user": {
"created_at": "2026-01-01T00:00:00Z",
"email": "string",
"id": "string"
}
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri orgsobjectrequireduserUserrequiredShow properties
created_atstring · date-timerequiredemailstringrequiredidstringrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X GET "https://api.flagon.io/me" \
-H "Authorization: Bearer $FLAGON_TOKEN"put/me/deletedMirror the account's soft-delete state (internal)
Mirror the account's soft-delete state (internal)
Try it
Request body
application/json · required
{
"$schema": "https://flagon.io",
"deleted": true
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri deletedbooleanrequired
Responses
{
"$schema": "https://flagon.io",
"ok": true
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri okbooleanrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X PUT "https://api.flagon.io/me/deleted" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $FLAGON_TOKEN" \
-d '{"$schema":"https://flagon.io","deleted":true}'put/me/profileMirror the caller's public profile (internal)
Mirror the caller's public profile (internal)
Try it
Request body
application/json · required
{
"$schema": "https://flagon.io",
"avatarUrl": "string",
"bio": "string",
"company": "string",
"location": "string",
"name": "string",
"pronouns": "string",
"publicEmail": "string",
"socialLinks": null,
"username": "string",
"websiteUrl": "string"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri avatarUrlstringbiostringcompanystringlocationstringnamestringpronounsstringpublicEmailstringsocialLinksobjectusernamestringwebsiteUrlstring
Responses
{
"$schema": "https://flagon.io",
"ok": true
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri okbooleanrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X PUT "https://api.flagon.io/me/profile" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $FLAGON_TOKEN" \
-d '{"$schema":"https://flagon.io","avatarUrl":"string","bio":"string","company":"string","location":"string","name":"string","pronouns":"string","publicEmail":"string","socialLinks":null,"username":"string","websiteUrl":"string"}'get/me/tokensList your personal access tokens
List your personal access tokens
Try it
Responses
{
"$schema": "https://flagon.io",
"tokens": null
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri tokensobjectrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X GET "https://api.flagon.io/me/tokens" \
-H "Authorization: Bearer $FLAGON_TOKEN"post/me/tokensCreate a personal access token
Create a personal access token
Try it
Request body
application/json · required
{
"$schema": "https://flagon.io",
"expires_at": "2026-01-01T00:00:00Z",
"expires_in_days": 0,
"full": true,
"name": "string",
"scopes": null
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - Absolute expiry (RFC3339). Takes precedence over expires_in_days.
expires_atstring · date-time - 0 = no expiry
expires_in_daysinteger · int64 - Full access (no scope restriction)
fullboolean namestringrequired- Scopes to grant (classic-style). Omit and set full=true for full access.
scopesobject
Responses
{
"$schema": "https://flagon.io",
"id": "string",
"prefix": "string",
"token": "string"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri idstringrequiredprefixstringrequiredtokenstringrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X POST "https://api.flagon.io/me/tokens" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $FLAGON_TOKEN" \
-d '{"$schema":"https://flagon.io","expires_at":"2026-01-01T00:00:00Z","expires_in_days":0,"full":true,"name":"string","scopes":null}'delete/me/tokens/{id}Revoke a personal access token
Revoke a personal access token
Try it
Parameters
idstringpathrequired
Responses
{
"$schema": "https://flagon.io",
"ok": true
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri okbooleanrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X DELETE "https://api.flagon.io/me/tokens/{id}" \
-H "Authorization: Bearer $FLAGON_TOKEN"get/notificationsList the caller's notifications
List the caller's notifications
Try it
Parameters
- Max notifications to return
limitinteger · int64query
Responses
{
"$schema": "https://flagon.io",
"notifications": null
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri notificationsobjectrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X GET "https://api.flagon.io/notifications?limit=" \
-H "Authorization: Bearer $FLAGON_TOKEN"post/notifications/read-allMark all the caller's notifications read
Mark all the caller's notifications read
Try it
Responses
{
"$schema": "https://flagon.io",
"ok": true
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri okbooleanrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X POST "https://api.flagon.io/notifications/read-all" \
-H "Authorization: Bearer $FLAGON_TOKEN"get/notifications/unread-countCount the caller's unread notifications
Count the caller's unread notifications
Try it
Responses
{
"$schema": "https://flagon.io",
"count": 0
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri countinteger · int64required
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X GET "https://api.flagon.io/notifications/unread-count" \
-H "Authorization: Bearer $FLAGON_TOKEN"post/notifications/{id}/readMark a notification read
Mark a notification read
Try it
Parameters
idstringpathrequired
Responses
{
"$schema": "https://flagon.io",
"ok": true
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri okbooleanrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X POST "https://api.flagon.io/notifications/{id}/read" \
-H "Authorization: Bearer $FLAGON_TOKEN"get/orgsList the caller's orgs
List the caller's orgs
Try it
Responses
{
"$schema": "https://flagon.io",
"orgs": null
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri orgsobjectrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X GET "https://api.flagon.io/orgs" \
-H "Authorization: Bearer $FLAGON_TOKEN"post/orgsCreate an organization
Create an organization
Try it
Request body
application/json · required
{
"$schema": "https://flagon.io",
"name": "string",
"slug": "string"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - Display name
namestringrequired - URL slug; derived from the name when omitted
slugstring
Responses
{
"$schema": "https://flagon.io",
"created_at": "2026-01-01T00:00:00Z",
"enforce_two_factor": true,
"id": "string",
"name": "string",
"require_sso": true,
"role": "string",
"slug": "string"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri created_atstring · date-timerequiredenforce_two_factorbooleanrequiredidstringrequirednamestringrequiredrequire_ssobooleanrequiredrolestringrequiredslugstringrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X POST "https://api.flagon.io/orgs" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $FLAGON_TOKEN" \
-d '{"$schema":"https://flagon.io","name":"string","slug":"string"}'patch/orgs/{slug}Update an organization's settings
Update an organization's settings
Try it
Parameters
slugstringpathrequired
Request body
application/json · required
{
"$schema": "https://flagon.io",
"name": "string"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - Display name
namestringrequired
Responses
{
"$schema": "https://flagon.io",
"created_at": "2026-01-01T00:00:00Z",
"enforce_two_factor": true,
"id": "string",
"name": "string",
"require_sso": true,
"role": "string",
"slug": "string"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri created_atstring · date-timerequiredenforce_two_factorbooleanrequiredidstringrequirednamestringrequiredrequire_ssobooleanrequiredrolestringrequiredslugstringrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X PATCH "https://api.flagon.io/orgs/{slug}" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $FLAGON_TOKEN" \
-d '{"$schema":"https://flagon.io","name":"string"}'get/orgs/{slug}/auditList an organization's audit log
List an organization's audit log
Try it
Parameters
slugstringpathrequired- Search across summary, action, actor, and location
qstringquery - Filter to these action keys (repeatable)
actionobjectquery - Filter to this actor's user id
actorstringquery - Results per page (default 30, max 100)
limitinteger · int64query - Opaque cursor from a previous page's Link header
cursorstringquery
Responses
{
"$schema": "https://flagon.io",
"events": null
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri eventsobjectrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X GET "https://api.flagon.io/orgs/{slug}/audit?q=&action=&actor=&limit=&cursor=" \
-H "Authorization: Bearer $FLAGON_TOKEN"get/orgs/{slug}/audit/configGet an organization's audit configuration
Get an organization's audit configuration
Try it
Parameters
slugstringpathrequired
Responses
{
"$schema": "https://flagon.io",
"ip_disclosure": true
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri ip_disclosurebooleanrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X GET "https://api.flagon.io/orgs/{slug}/audit/config" \
-H "Authorization: Bearer $FLAGON_TOKEN"put/orgs/{slug}/audit/configUpdate an organization's audit configuration
Update an organization's audit configuration
Try it
Parameters
slugstringpathrequired
Request body
application/json · required
{
"$schema": "https://flagon.io",
"ip_disclosure": true
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - Reveal actor IP addresses in the audit log
ip_disclosurebooleanrequired
Responses
{
"$schema": "https://flagon.io",
"ip_disclosure": true
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri ip_disclosurebooleanrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X PUT "https://api.flagon.io/orgs/{slug}/audit/config" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $FLAGON_TOKEN" \
-d '{"$schema":"https://flagon.io","ip_disclosure":true}'get/orgs/{slug}/deleted-projectsList an organization's soft-deleted projects (restore archive)
List an organization's soft-deleted projects (restore archive)
Try it
Parameters
slugstringpathrequired- Free-text search filter
qstringquery - Max results per page (1-100, default 30)
limitinteger · int64query - Opaque keyset cursor from a prior page's Link header (rel=next)
cursorstringquery
Responses
{
"$schema": "https://flagon.io",
"projects": null
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri projectsobjectrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X GET "https://api.flagon.io/orgs/{slug}/deleted-projects?q=&limit=&cursor=" \
-H "Authorization: Bearer $FLAGON_TOKEN"get/orgs/{slug}/invitationsList an organization's pending invitations
List an organization's pending invitations
Try it
Parameters
slugstringpathrequired- Free-text search filter
qstringquery - Max results per page (1-100, default 30)
limitinteger · int64query - Opaque keyset cursor from a prior page's Link header (rel=next)
cursorstringquery
Responses
{
"$schema": "https://flagon.io",
"invitations": null
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri invitationsobjectrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X GET "https://api.flagon.io/orgs/{slug}/invitations?q=&limit=&cursor=" \
-H "Authorization: Bearer $FLAGON_TOKEN"post/orgs/{slug}/invitationsInvite someone to an organization by email or username
Invite someone to an organization by email or username
Adds an existing Flagon user directly, or creates a pending invitation for an email that has no account yet. The response says which happened; for an invitation it returns a single-use token for the invite link.
Try it
Parameters
slugstringpathrequired
Request body
application/json · required
{
"$schema": "https://flagon.io",
"login": "string",
"role": "admin"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - Email address to invite, or the email/username of an existing user
loginstringrequired - Role to grant (default member)
rolestring · enumadminmemberviewer
Responses
{
"$schema": "https://flagon.io",
"email": "string",
"invitation": {
"created_at": "2026-01-01T00:00:00Z",
"email": "string",
"expires_at": "2026-01-01T00:00:00Z",
"id": "string",
"inviter": null,
"role": "string",
"status": "string"
},
"org_name": "string",
"status": "string",
"token": "string",
"user_id": "string"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri emailstringinvitationInvitationShow properties
created_atstring · date-timerequiredemailstringrequiredexpires_atstring · date-timerequiredidstringrequiredinviterobjectrequiredrolestringrequiredstatusstringrequired
org_namestring- "added" or "invited"
statusstringrequired - Single-use invite token for the link (invited only)
tokenstring user_idstring
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X POST "https://api.flagon.io/orgs/{slug}/invitations" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $FLAGON_TOKEN" \
-d '{"$schema":"https://flagon.io","login":"string","role":"admin"}'delete/orgs/{slug}/invitations/{id}Revoke a pending invitation
Revoke a pending invitation
Try it
Parameters
slugstringpathrequiredidstringpathrequired
Responses
{
"$schema": "https://flagon.io",
"ok": true
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri okbooleanrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X DELETE "https://api.flagon.io/orgs/{slug}/invitations/{id}" \
-H "Authorization: Bearer $FLAGON_TOKEN"post/orgs/{slug}/leaveLeave an organization
Leave an organization
Try it
Parameters
- The organization slug
slugstringpathrequired
Responses
{
"$schema": "https://flagon.io",
"ok": true
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri okbooleanrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X POST "https://api.flagon.io/orgs/{slug}/leave" \
-H "Authorization: Bearer $FLAGON_TOKEN"get/orgs/{slug}/membersList an organization's members
List an organization's members
Try it
Parameters
slugstringpathrequired- Free-text search filter
qstringquery - Max results per page (1-100, default 30)
limitinteger · int64query - Opaque keyset cursor from a prior page's Link header (rel=next)
cursorstringquery
Responses
{
"$schema": "https://flagon.io",
"members": null
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri membersobjectrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X GET "https://api.flagon.io/orgs/{slug}/members?q=&limit=&cursor=" \
-H "Authorization: Bearer $FLAGON_TOKEN"post/orgs/{slug}/membersAdd an existing user to an organization
Add an existing user to an organization
Try it
Parameters
slugstringpathrequired
Request body
application/json · required
{
"$schema": "https://flagon.io",
"login": "string",
"role": "owner"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - Email or username of an existing Flagon user
loginstringrequired - Role to grant (default member)
rolestring · enumowneradminmemberviewer
Responses
{
"$schema": "https://flagon.io",
"ok": true
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri okbooleanrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X POST "https://api.flagon.io/orgs/{slug}/members" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $FLAGON_TOKEN" \
-d '{"$schema":"https://flagon.io","login":"string","role":"owner"}'delete/orgs/{slug}/members/{userId}Remove a member from an organization
Remove a member from an organization
Try it
Parameters
slugstringpathrequireduserIdstringpathrequired
Responses
{
"$schema": "https://flagon.io",
"ok": true
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri okbooleanrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X DELETE "https://api.flagon.io/orgs/{slug}/members/{userId}" \
-H "Authorization: Bearer $FLAGON_TOKEN"put/orgs/{slug}/members/{userId}/roleChange a member's role
Change a member's role
Try it
Parameters
slugstringpathrequireduserIdstringpathrequired
Request body
application/json · required
{
"$schema": "https://flagon.io",
"role": "owner"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri rolestring · enumrequiredowneradminmemberviewer
Responses
{
"$schema": "https://flagon.io",
"ok": true
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri okbooleanrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X PUT "https://api.flagon.io/orgs/{slug}/members/{userId}/role" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $FLAGON_TOKEN" \
-d '{"$schema":"https://flagon.io","role":"owner"}'get/orgs/{slug}/projectsList an organization's projects
List an organization's projects
Try it
Parameters
slugstringpathrequired- Free-text search filter
qstringquery - Max results per page (1-100, default 30)
limitinteger · int64query - Opaque keyset cursor from a prior page's Link header (rel=next)
cursorstringquery
Responses
{
"$schema": "https://flagon.io",
"projects": null
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri projectsobjectrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X GET "https://api.flagon.io/orgs/{slug}/projects?q=&limit=&cursor=" \
-H "Authorization: Bearer $FLAGON_TOKEN"post/orgs/{slug}/projectsCreate a project
Create a project
Try it
Parameters
slugstringpathrequired
Request body
application/json · required
{
"$schema": "https://flagon.io",
"description": "string",
"name": "string",
"readme": "string",
"repository_url": "string",
"slug": "string"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - One-line summary
descriptionstring - Display name
namestringrequired - Markdown README
readmestring - Source repository URL (linked source, later syncs the README)
repository_urlstring - URL slug; derived from the name when omitted
slugstring
Responses
{
"$schema": "https://flagon.io",
"created_at": "2026-01-01T00:00:00Z",
"created_by": "string",
"deleted_at": "2026-01-01T00:00:00Z",
"description": "string",
"id": "string",
"name": "string",
"org_id": "string",
"readme": "string",
"repository_url": "string",
"slug": "string",
"updated_at": "2026-01-01T00:00:00Z"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri created_atstring · date-timerequiredcreated_bystringrequireddeleted_atstring · date-timedescriptionstringrequiredidstringrequirednamestringrequiredorg_idstringrequiredreadmestringrequiredrepository_urlstringrequiredslugstringrequiredupdated_atstring · date-timerequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X POST "https://api.flagon.io/orgs/{slug}/projects" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $FLAGON_TOKEN" \
-d '{"$schema":"https://flagon.io","description":"string","name":"string","readme":"string","repository_url":"string","slug":"string"}'get/orgs/{slug}/projects/{project}Get a project
Get a project
Try it
Parameters
slugstringpathrequiredprojectstringpathrequired- Related objects to inline, e.g. expand[]=organization
expand[]objectquery
Responses
{
"$schema": "https://flagon.io",
"created_at": "2026-01-01T00:00:00Z",
"created_by": "string",
"deleted_at": "2026-01-01T00:00:00Z",
"description": "string",
"id": "string",
"name": "string",
"org_id": "string",
"organization": {
"$schema": "https://flagon.io",
"created_at": "2026-01-01T00:00:00Z",
"enforce_two_factor": true,
"id": "string",
"name": "string",
"require_sso": true,
"role": "string",
"slug": "string"
},
"readme": "string",
"repository_url": "string",
"slug": "string",
"updated_at": "2026-01-01T00:00:00Z"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri created_atstring · date-timerequiredcreated_bystringrequireddeleted_atstring · date-timedescriptionstringrequiredidstringrequirednamestringrequiredorg_idstringrequiredorganizationOrgShow properties
- A URL to the JSON Schema for this object.
$schemastring · uri created_atstring · date-timerequiredenforce_two_factorbooleanrequiredidstringrequirednamestringrequiredrequire_ssobooleanrequiredrolestringrequiredslugstringrequired
readmestringrequiredrepository_urlstringrequiredslugstringrequiredupdated_atstring · date-timerequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X GET "https://api.flagon.io/orgs/{slug}/projects/{project}?expand[]=" \
-H "Authorization: Bearer $FLAGON_TOKEN"patch/orgs/{slug}/projects/{project}Update a project
Update a project
Try it
Parameters
slugstringpathrequiredprojectstringpathrequired
Request body
application/json · required
{
"$schema": "https://flagon.io",
"description": "string",
"name": "string",
"readme": "string",
"repository_url": "string",
"slug": "string"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - One-line summary
descriptionstring - Display name
namestring - Markdown README
readmestring - Source repository URL
repository_urlstring - URL slug (renames the project)
slugstring
Responses
{
"$schema": "https://flagon.io",
"created_at": "2026-01-01T00:00:00Z",
"created_by": "string",
"deleted_at": "2026-01-01T00:00:00Z",
"description": "string",
"id": "string",
"name": "string",
"org_id": "string",
"readme": "string",
"repository_url": "string",
"slug": "string",
"updated_at": "2026-01-01T00:00:00Z"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri created_atstring · date-timerequiredcreated_bystringrequireddeleted_atstring · date-timedescriptionstringrequiredidstringrequirednamestringrequiredorg_idstringrequiredreadmestringrequiredrepository_urlstringrequiredslugstringrequiredupdated_atstring · date-timerequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X PATCH "https://api.flagon.io/orgs/{slug}/projects/{project}" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $FLAGON_TOKEN" \
-d '{"$schema":"https://flagon.io","description":"string","name":"string","readme":"string","repository_url":"string","slug":"string"}'delete/orgs/{slug}/projects/{project}Delete a project (soft delete; restorable)
Delete a project (soft delete; restorable)
Try it
Parameters
slugstringpathrequiredprojectstringpathrequired- Related objects to inline, e.g. expand[]=organization
expand[]objectquery
Responses
{
"$schema": "https://flagon.io",
"created_at": "2026-01-01T00:00:00Z",
"created_by": "string",
"deleted_at": "2026-01-01T00:00:00Z",
"description": "string",
"id": "string",
"name": "string",
"org_id": "string",
"readme": "string",
"repository_url": "string",
"slug": "string",
"updated_at": "2026-01-01T00:00:00Z"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri created_atstring · date-timerequiredcreated_bystringrequireddeleted_atstring · date-timedescriptionstringrequiredidstringrequirednamestringrequiredorg_idstringrequiredreadmestringrequiredrepository_urlstringrequiredslugstringrequiredupdated_atstring · date-timerequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X DELETE "https://api.flagon.io/orgs/{slug}/projects/{project}?expand[]=" \
-H "Authorization: Bearer $FLAGON_TOKEN"get/orgs/{slug}/projects/{project}/membersList a project's collaborators
List a project's collaborators
Try it
Parameters
slugstringpathrequiredprojectstringpathrequired- Free-text search filter
qstringquery - Max results per page (1-100, default 30)
limitinteger · int64query - Opaque keyset cursor from a prior page's Link header (rel=next)
cursorstringquery
Responses
{
"$schema": "https://flagon.io",
"members": null
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri membersobjectrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X GET "https://api.flagon.io/orgs/{slug}/projects/{project}/members?q=&limit=&cursor=" \
-H "Authorization: Bearer $FLAGON_TOKEN"post/orgs/{slug}/projects/{project}/membersGrant an org member a role on a project
Grant an org member a role on a project
Try it
Parameters
slugstringpathrequiredprojectstringpathrequired
Request body
application/json · required
{
"$schema": "https://flagon.io",
"login": "string",
"role": "read"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - Email or username of an existing org member
loginstringrequired - Repository-style role to grant
rolestring · enumrequiredreadtriagewritemaintainadmin
Responses
{
"$schema": "https://flagon.io",
"ok": true
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri okbooleanrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X POST "https://api.flagon.io/orgs/{slug}/projects/{project}/members" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $FLAGON_TOKEN" \
-d '{"$schema":"https://flagon.io","login":"string","role":"read"}'delete/orgs/{slug}/projects/{project}/members/{userId}Revoke a collaborator's project role
Revoke a collaborator's project role
Try it
Parameters
slugstringpathrequiredprojectstringpathrequireduserIdstringpathrequired
Responses
{
"$schema": "https://flagon.io",
"ok": true
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri okbooleanrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X DELETE "https://api.flagon.io/orgs/{slug}/projects/{project}/members/{userId}" \
-H "Authorization: Bearer $FLAGON_TOKEN"put/orgs/{slug}/projects/{project}/members/{userId}/roleChange a collaborator's project role
Change a collaborator's project role
Try it
Parameters
slugstringpathrequiredprojectstringpathrequireduserIdstringpathrequired
Request body
application/json · required
{
"$schema": "https://flagon.io",
"role": "read"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri rolestring · enumrequiredreadtriagewritemaintainadmin
Responses
{
"$schema": "https://flagon.io",
"ok": true
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri okbooleanrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X PUT "https://api.flagon.io/orgs/{slug}/projects/{project}/members/{userId}/role" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $FLAGON_TOKEN" \
-d '{"$schema":"https://flagon.io","role":"read"}'get/orgs/{slug}/projects/{project}/ownersList a project's owners
List a project's owners
Try it
Parameters
slugstringpathrequiredprojectstringpathrequired- Free-text search filter
qstringquery - Max results per page (1-100, default 30)
limitinteger · int64query - Opaque keyset cursor from a prior page's Link header (rel=next)
cursorstringquery
Responses
{
"$schema": "https://flagon.io",
"owners": null
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri ownersobjectrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X GET "https://api.flagon.io/orgs/{slug}/projects/{project}/owners?q=&limit=&cursor=" \
-H "Authorization: Bearer $FLAGON_TOKEN"post/orgs/{slug}/projects/{project}/ownersAdd an owner (user or team) to a project
Add an owner (user or team) to a project
Try it
Parameters
slugstringpathrequiredprojectstringpathrequired
Request body
application/json · required
{
"$schema": "https://flagon.io",
"login": "string",
"type": "user"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - For a user owner: an org member's email/username. For a team owner: the team slug.
loginstringrequired - Owner kind
typestring · enumrequireduserteam
Responses
{
"$schema": "https://flagon.io",
"ok": true
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri okbooleanrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X POST "https://api.flagon.io/orgs/{slug}/projects/{project}/owners" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $FLAGON_TOKEN" \
-d '{"$schema":"https://flagon.io","login":"string","type":"user"}'delete/orgs/{slug}/projects/{project}/owners/{type}/{principalId}Remove an owner from a project
Remove an owner from a project
Try it
Parameters
slugstringpathrequiredprojectstringpathrequiredtypestring · enumpathrequiredprincipalIdstringpathrequired
Responses
{
"$schema": "https://flagon.io",
"ok": true
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri okbooleanrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X DELETE "https://api.flagon.io/orgs/{slug}/projects/{project}/owners/{type}/{principalId}" \
-H "Authorization: Bearer $FLAGON_TOKEN"post/orgs/{slug}/projects/{project}/restoreRestore a soft-deleted project
Restore a soft-deleted project
Try it
Parameters
slugstringpathrequiredprojectstringpathrequired- Related objects to inline, e.g. expand[]=organization
expand[]objectquery
Responses
{
"$schema": "https://flagon.io",
"created_at": "2026-01-01T00:00:00Z",
"created_by": "string",
"deleted_at": "2026-01-01T00:00:00Z",
"description": "string",
"id": "string",
"name": "string",
"org_id": "string",
"readme": "string",
"repository_url": "string",
"slug": "string",
"updated_at": "2026-01-01T00:00:00Z"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri created_atstring · date-timerequiredcreated_bystringrequireddeleted_atstring · date-timedescriptionstringrequiredidstringrequirednamestringrequiredorg_idstringrequiredreadmestringrequiredrepository_urlstringrequiredslugstringrequiredupdated_atstring · date-timerequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X POST "https://api.flagon.io/orgs/{slug}/projects/{project}/restore?expand[]=" \
-H "Authorization: Bearer $FLAGON_TOKEN"get/orgs/{slug}/projects/{project}/teamsList the teams with access to a project
List the teams with access to a project
Try it
Parameters
slugstringpathrequiredprojectstringpathrequired- Free-text search filter
qstringquery - Max results per page (1-100, default 30)
limitinteger · int64query - Opaque keyset cursor from a prior page's Link header (rel=next)
cursorstringquery
Responses
{
"$schema": "https://flagon.io",
"teams": null
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri teamsobjectrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X GET "https://api.flagon.io/orgs/{slug}/projects/{project}/teams?q=&limit=&cursor=" \
-H "Authorization: Bearer $FLAGON_TOKEN"post/orgs/{slug}/projects/{project}/teamsGrant a team a role on a project
Grant a team a role on a project
Try it
Parameters
slugstringpathrequiredprojectstringpathrequired
Request body
application/json · required
{
"$schema": "https://flagon.io",
"role": "read",
"team": "string"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - Repository-style role to grant the team
rolestring · enumrequiredreadtriagewritemaintainadmin - Team slug
teamstringrequired
Responses
{
"$schema": "https://flagon.io",
"ok": true
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri okbooleanrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X POST "https://api.flagon.io/orgs/{slug}/projects/{project}/teams" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $FLAGON_TOKEN" \
-d '{"$schema":"https://flagon.io","role":"read","team":"string"}'delete/orgs/{slug}/projects/{project}/teams/{team}Revoke a team's access to a project
Revoke a team's access to a project
Try it
Parameters
slugstringpathrequiredprojectstringpathrequiredteamstringpathrequired
Responses
{
"$schema": "https://flagon.io",
"ok": true
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri okbooleanrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X DELETE "https://api.flagon.io/orgs/{slug}/projects/{project}/teams/{team}" \
-H "Authorization: Bearer $FLAGON_TOKEN"put/orgs/{slug}/projects/{project}/teams/{team}/roleChange a team's role on a project
Change a team's role on a project
Try it
Parameters
slugstringpathrequiredprojectstringpathrequiredteamstringpathrequired
Request body
application/json · required
{
"$schema": "https://flagon.io",
"role": "read"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri rolestring · enumrequiredreadtriagewritemaintainadmin
Responses
{
"$schema": "https://flagon.io",
"ok": true
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri okbooleanrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X PUT "https://api.flagon.io/orgs/{slug}/projects/{project}/teams/{team}/role" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $FLAGON_TOKEN" \
-d '{"$schema":"https://flagon.io","role":"read"}'get/orgs/{slug}/securityGet an organization's security policy
Get an organization's security policy
Try it
Parameters
slugstringpathrequired
Responses
{
"$schema": "https://flagon.io",
"base_permission": "none",
"enforce_two_factor": true,
"require_sso": true
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - Default project access for members (none|read|triage|write|maintain|admin), raised by explicit grants.
base_permissionstring · enumrequirednonereadtriagewritemaintainadmin - Whether members must have two-factor authentication enabled to access the org.
enforce_two_factorbooleanrequired - Whether members must sign in through the org's SSO provider.
require_ssobooleanrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X GET "https://api.flagon.io/orgs/{slug}/security" \
-H "Authorization: Bearer $FLAGON_TOKEN"put/orgs/{slug}/securityUpdate an organization's security policy
Update an organization's security policy
Try it
Parameters
slugstringpathrequired
Request body
application/json · required
{
"$schema": "https://flagon.io",
"base_permission": "none",
"enforce_two_factor": true,
"require_sso": true
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri base_permissionstring · enumrequirednonereadtriagewritemaintainadminenforce_two_factorbooleanrequiredrequire_ssobooleanrequired
Responses
{
"$schema": "https://flagon.io",
"base_permission": "none",
"enforce_two_factor": true,
"require_sso": true
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - Default project access for members (none|read|triage|write|maintain|admin), raised by explicit grants.
base_permissionstring · enumrequirednonereadtriagewritemaintainadmin - Whether members must have two-factor authentication enabled to access the org.
enforce_two_factorbooleanrequired - Whether members must sign in through the org's SSO provider.
require_ssobooleanrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X PUT "https://api.flagon.io/orgs/{slug}/security" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $FLAGON_TOKEN" \
-d '{"$schema":"https://flagon.io","base_permission":"none","enforce_two_factor":true,"require_sso":true}'get/orgs/{slug}/teamsList an organization's teams
List an organization's teams
Try it
Parameters
slugstringpathrequired- Free-text search filter
qstringquery - Max results per page (1-100, default 30)
limitinteger · int64query - Opaque keyset cursor from a prior page's Link header (rel=next)
cursorstringquery
Responses
{
"$schema": "https://flagon.io",
"teams": null
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri teamsobjectrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X GET "https://api.flagon.io/orgs/{slug}/teams?q=&limit=&cursor=" \
-H "Authorization: Bearer $FLAGON_TOKEN"post/orgs/{slug}/teamsCreate a team
Create a team
Try it
Parameters
slugstringpathrequired
Request body
application/json · required
{
"$schema": "https://flagon.io",
"description": "string",
"name": "string",
"slug": "string"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - One-line summary
descriptionstring - Display name
namestringrequired - URL slug; derived from the name when omitted
slugstring
Responses
{
"$schema": "https://flagon.io",
"created_at": "2026-01-01T00:00:00Z",
"description": "string",
"id": "string",
"member_count": 0,
"name": "string",
"org_id": "string",
"slug": "string",
"updated_at": "2026-01-01T00:00:00Z"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri created_atstring · date-timerequireddescriptionstringrequiredidstringrequiredmember_countinteger · int64requirednamestringrequiredorg_idstringslugstringrequiredupdated_atstring · date-time
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X POST "https://api.flagon.io/orgs/{slug}/teams" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $FLAGON_TOKEN" \
-d '{"$schema":"https://flagon.io","description":"string","name":"string","slug":"string"}'get/orgs/{slug}/teams/{team}Get a team
Get a team
Try it
Parameters
slugstringpathrequiredteamstringpathrequired
Responses
{
"$schema": "https://flagon.io",
"created_at": "2026-01-01T00:00:00Z",
"description": "string",
"id": "string",
"member_count": 0,
"name": "string",
"org_id": "string",
"slug": "string",
"updated_at": "2026-01-01T00:00:00Z"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri created_atstring · date-timerequireddescriptionstringrequiredidstringrequiredmember_countinteger · int64requirednamestringrequiredorg_idstringslugstringrequiredupdated_atstring · date-time
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X GET "https://api.flagon.io/orgs/{slug}/teams/{team}" \
-H "Authorization: Bearer $FLAGON_TOKEN"patch/orgs/{slug}/teams/{team}Update a team
Update a team
Try it
Parameters
slugstringpathrequiredteamstringpathrequired
Request body
application/json · required
{
"$schema": "https://flagon.io",
"description": "string",
"name": "string",
"slug": "string"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - One-line summary
descriptionstring - Display name
namestring - URL slug (renames the team)
slugstring
Responses
{
"$schema": "https://flagon.io",
"created_at": "2026-01-01T00:00:00Z",
"description": "string",
"id": "string",
"member_count": 0,
"name": "string",
"org_id": "string",
"slug": "string",
"updated_at": "2026-01-01T00:00:00Z"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri created_atstring · date-timerequireddescriptionstringrequiredidstringrequiredmember_countinteger · int64requirednamestringrequiredorg_idstringslugstringrequiredupdated_atstring · date-time
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X PATCH "https://api.flagon.io/orgs/{slug}/teams/{team}" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $FLAGON_TOKEN" \
-d '{"$schema":"https://flagon.io","description":"string","name":"string","slug":"string"}'delete/orgs/{slug}/teams/{team}Delete a team
Delete a team
Try it
Parameters
slugstringpathrequiredteamstringpathrequired
Responses
{
"$schema": "https://flagon.io",
"ok": true
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri okbooleanrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X DELETE "https://api.flagon.io/orgs/{slug}/teams/{team}" \
-H "Authorization: Bearer $FLAGON_TOKEN"get/orgs/{slug}/teams/{team}/membersList a team's members
List a team's members
Try it
Parameters
slugstringpathrequiredteamstringpathrequired- Free-text search filter
qstringquery - Max results per page (1-100, default 30)
limitinteger · int64query - Opaque keyset cursor from a prior page's Link header (rel=next)
cursorstringquery
Responses
{
"$schema": "https://flagon.io",
"members": null
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri membersobjectrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X GET "https://api.flagon.io/orgs/{slug}/teams/{team}/members?q=&limit=&cursor=" \
-H "Authorization: Bearer $FLAGON_TOKEN"post/orgs/{slug}/teams/{team}/membersAdd an org member to a team
Add an org member to a team
Try it
Parameters
slugstringpathrequiredteamstringpathrequired
Request body
application/json · required
{
"$schema": "https://flagon.io",
"login": "string",
"role": "maintainer"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - Email or username of an existing org member
loginstringrequired - Team role
rolestring · enumrequiredmaintainermember
Responses
{
"$schema": "https://flagon.io",
"ok": true
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri okbooleanrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X POST "https://api.flagon.io/orgs/{slug}/teams/{team}/members" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $FLAGON_TOKEN" \
-d '{"$schema":"https://flagon.io","login":"string","role":"maintainer"}'delete/orgs/{slug}/teams/{team}/members/{userId}Remove a member from a team
Remove a member from a team
Try it
Parameters
slugstringpathrequiredteamstringpathrequireduserIdstringpathrequired
Responses
{
"$schema": "https://flagon.io",
"ok": true
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri okbooleanrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X DELETE "https://api.flagon.io/orgs/{slug}/teams/{team}/members/{userId}" \
-H "Authorization: Bearer $FLAGON_TOKEN"put/orgs/{slug}/teams/{team}/members/{userId}/roleChange a team member's role
Change a team member's role
Try it
Parameters
slugstringpathrequiredteamstringpathrequireduserIdstringpathrequired
Request body
application/json · required
{
"$schema": "https://flagon.io",
"role": "maintainer"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri rolestring · enumrequiredmaintainermember
Responses
{
"$schema": "https://flagon.io",
"ok": true
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri okbooleanrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X PUT "https://api.flagon.io/orgs/{slug}/teams/{team}/members/{userId}/role" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $FLAGON_TOKEN" \
-d '{"$schema":"https://flagon.io","role":"maintainer"}'get/orgs/{slug}/teams/{team}/projectsList the projects a team has access to
List the projects a team has access to
Try it
Parameters
slugstringpathrequiredteamstringpathrequired- Free-text search filter
qstringquery - Max results per page (1-100, default 30)
limitinteger · int64query - Opaque keyset cursor from a prior page's Link header (rel=next)
cursorstringquery
Responses
{
"$schema": "https://flagon.io",
"projects": null
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri projectsobjectrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X GET "https://api.flagon.io/orgs/{slug}/teams/{team}/projects?q=&limit=&cursor=" \
-H "Authorization: Bearer $FLAGON_TOKEN"get/orgs/{slug}/tokensList an organization's access tokens
List an organization's access tokens
Try it
Parameters
slugstringpathrequired
Responses
{
"$schema": "https://flagon.io",
"tokens": null
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri tokensobjectrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X GET "https://api.flagon.io/orgs/{slug}/tokens" \
-H "Authorization: Bearer $FLAGON_TOKEN"post/orgs/{slug}/tokensCreate an organization access token
Create an organization access token
Try it
Parameters
slugstringpathrequired
Request body
application/json · required
{
"$schema": "https://flagon.io",
"expires_at": "2026-01-01T00:00:00Z",
"expires_in_days": 0,
"full": true,
"name": "string",
"role": "admin",
"scopes": null
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - Absolute expiry (RFC3339). Takes precedence over expires_in_days.
expires_atstring · date-time - 0 = no expiry
expires_in_daysinteger · int64 - Full access (no scope restriction)
fullboolean namestringrequired- Role the token acts with (default member)
rolestring · enumadminmemberviewer scopesobject
Responses
{
"$schema": "https://flagon.io",
"id": "string",
"prefix": "string",
"token": "string"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri idstringrequiredprefixstringrequiredtokenstringrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X POST "https://api.flagon.io/orgs/{slug}/tokens" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $FLAGON_TOKEN" \
-d '{"$schema":"https://flagon.io","expires_at":"2026-01-01T00:00:00Z","expires_in_days":0,"full":true,"name":"string","role":"admin","scopes":null}'delete/orgs/{slug}/tokens/{id}Revoke an organization access token
Revoke an organization access token
Try it
Parameters
slugstringpathrequiredidstringpathrequired
Responses
{
"$schema": "https://flagon.io",
"ok": true
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri okbooleanrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X DELETE "https://api.flagon.io/orgs/{slug}/tokens/{id}" \
-H "Authorization: Bearer $FLAGON_TOKEN"get/users/{username}Public user profile
Public user profile
Try it
Parameters
- The user's username
usernamestringpathrequired
Responses
{
"$schema": "https://flagon.io",
"avatar_url": null,
"bio": null,
"company": null,
"created_at": "2026-01-01T00:00:00Z",
"id": "string",
"location": null,
"name": null,
"pronouns": null,
"public_email": null,
"social_links": null,
"username": "string",
"website_url": null
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri avatar_urlobjectrequiredbioobjectrequiredcompanyobjectrequiredcreated_atstring · date-timerequiredidstringrequiredlocationobjectrequirednameobjectrequiredpronounsobjectrequiredpublic_emailobjectrequiredsocial_linksobjectrequiredusernamestringrequiredwebsite_urlobjectrequired
{
"$schema": "https://flagon.io",
"detail": "string",
"errors": null,
"instance": "https://flagon.io",
"status": 0,
"title": "string",
"type": "about:blank"
}Schema
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Example request
curl -X GET "https://api.flagon.io/users/{username}" \
-H "Authorization: Bearer $FLAGON_TOKEN"Models
AIExecuteInputBodyobject
- A URL to the JSON Schema for this object.
$schemastring · uri - The tool input, as proposed
inputobjectrequired org_idstringrequired- The proposed tool name
toolstringrequired
AIExecuteOutputBodyobject
- A URL to the JSON Schema for this object.
$schemastring · uri resultobjectrequired
AIMessagesInputBodyobject
- A URL to the JSON Schema for this object.
$schemastring · uri - Conversation so far, ending with the new user message
messagesobjectrequired - Organization the conversation is scoped to
org_idstringrequired
AcceptInvitationOutputBodyobject
- A URL to the JSON Schema for this object.
$schemastring · uri org_namestringrequiredorg_slugstringrequired
AccessTokenobject
created_atstring · date-timerequiredexpires_atobject · date-timerequiredidstringrequiredkindstringrequiredlast_used_atobject · date-timerequirednamestringrequiredprefixstringrequiredroleobjectrequiredscopesobjectrequired
AddMemberInputBodyobject
- A URL to the JSON Schema for this object.
$schemastring · uri - Email or username of an existing Flagon user
loginstringrequired - Role to grant (default member)
rolestring · enumowneradminmemberviewer
AddProjectMemberInputBodyobject
- A URL to the JSON Schema for this object.
$schemastring · uri - Email or username of an existing org member
loginstringrequired - Repository-style role to grant
rolestring · enumrequiredreadtriagewritemaintainadmin
AddProjectOwnerInputBodyobject
- A URL to the JSON Schema for this object.
$schemastring · uri - For a user owner: an org member's email/username. For a team owner: the team slug.
loginstringrequired - Owner kind
typestring · enumrequireduserteam
AddProjectTeamInputBodyobject
- A URL to the JSON Schema for this object.
$schemastring · uri - Repository-style role to grant the team
rolestring · enumrequiredreadtriagewritemaintainadmin - Team slug
teamstringrequired
AddTeamMemberInputBodyobject
- A URL to the JSON Schema for this object.
$schemastring · uri - Email or username of an existing org member
loginstringrequired - Team role
rolestring · enumrequiredmaintainermember
AiChatMessageobject
- Message text
contentstringrequired - Who sent the message
rolestring · enumrequireduserassistant
AuditConfigInputBodyobject
- A URL to the JSON Schema for this object.
$schemastring · uri - Reveal actor IP addresses in the audit log
ip_disclosurebooleanrequired
AuditConfigOutputBodyobject
- A URL to the JSON Schema for this object.
$schemastring · uri ip_disclosurebooleanrequired
AuditOutputBodyobject
- A URL to the JSON Schema for this object.
$schemastring · uri eventsobjectrequired
CreateOATInputBodyobject
- A URL to the JSON Schema for this object.
$schemastring · uri - Absolute expiry (RFC3339). Takes precedence over expires_in_days.
expires_atstring · date-time - 0 = no expiry
expires_in_daysinteger · int64 - Full access (no scope restriction)
fullboolean namestringrequired- Role the token acts with (default member)
rolestring · enumadminmemberviewer scopesobject
CreateOrgInputBodyobject
- A URL to the JSON Schema for this object.
$schemastring · uri - Display name
namestringrequired - URL slug; derived from the name when omitted
slugstring
CreatePATInputBodyobject
- A URL to the JSON Schema for this object.
$schemastring · uri - Absolute expiry (RFC3339). Takes precedence over expires_in_days.
expires_atstring · date-time - 0 = no expiry
expires_in_daysinteger · int64 - Full access (no scope restriction)
fullboolean namestringrequired- Scopes to grant (classic-style). Omit and set full=true for full access.
scopesobject
CreateProjectInputBodyobject
- A URL to the JSON Schema for this object.
$schemastring · uri - One-line summary
descriptionstring - Display name
namestringrequired - Markdown README
readmestring - Source repository URL (linked source, later syncs the README)
repository_urlstring - URL slug; derived from the name when omitted
slugstring
CreateTeamInputBodyobject
- A URL to the JSON Schema for this object.
$schemastring · uri - One-line summary
descriptionstring - Display name
namestringrequired - URL slug; derived from the name when omitted
slugstring
CreateTokenOutputBodyobject
- A URL to the JSON Schema for this object.
$schemastring · uri idstringrequiredprefixstringrequiredtokenstringrequired
ErrorDetailobject
- Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'
locationstring - Error message text
messagestring - The value at the given location
valueobject
ErrorModelobject
- A URL to the JSON Schema for this object.
$schemastring · uri - A human-readable explanation specific to this occurrence of the problem.
detailstring - Optional list of individual error details
errorsobject - A URI reference that identifies the specific occurrence of the problem.
instancestring · uri - HTTP status code
statusinteger · int64 - A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
titlestring - A URI reference to human-readable documentation for the error.
typestring · uri
Eventobject
actionstringrequiredactor_avatar_urlobjectrequiredactor_countryobjectrequiredactor_emailobjectrequiredactor_idobjectrequiredactor_ipobjectrequiredactor_nameobjectrequiredactor_user_agentobjectrequiredactor_usernameobjectrequiredcreated_atstring · date-timerequiredidstringrequiredsummarystringrequiredtarget_idobjectrequiredtarget_typeobjectrequired
Invitationobject
created_atstring · date-timerequiredemailstringrequiredexpires_atstring · date-timerequiredidstringrequiredinviterobjectrequiredrolestringrequiredstatusstringrequired
InvitationsOutputBodyobject
- A URL to the JSON Schema for this object.
$schemastring · uri invitationsobjectrequired
InviteLookupobject
- A URL to the JSON Schema for this object.
$schemastring · uri emailstringrequiredexpiredbooleanrequiredidstringrequiredinviterstringrequiredorg_namestringrequiredorg_slugstringrequiredrolestringrequiredstatusstringrequired
InviteMemberInputBodyobject
- A URL to the JSON Schema for this object.
$schemastring · uri - Email address to invite, or the email/username of an existing user
loginstringrequired - Role to grant (default member)
rolestring · enumadminmemberviewer
InviteMemberOutputBodyobject
- A URL to the JSON Schema for this object.
$schemastring · uri emailstringinvitationInvitationShow properties
[...]
